#ifndef _CHAIN_H
#define _CHAIN_H

// Bad Penguin - Linked Lists
// I decided to develop this utility
// because the GNU glib is to big to link statically
// @1999 by Antonio Gallo



// ***** Structures *****

typedef struct stChain     TChain;
typedef struct stChainItem TChainItem;

struct stChainItem {
  char *name;
  void *data;
  TChainItem *next;
  TChainItem *prev;
};

struct stChain {
  TChainItem *head;
  TChainItem *tail;
  int   count;
};


// ***** Functions *****
    TChain *chain_create();
       int  chain_cleanall(TChain *chain);
       int  chain_delete(TChain *chain);
TChainItem *chain_append(TChain *chain);
TChainItem *chain_insert(TChain *chain, char *itemName, int order);

#endif
