#ifndef _UNTAR_H
#define _UNTAR_H

#define TAR_ACTION_UNKNOWN		0
#define TAR_ACTION_INSTALL		1
#define TAR_ACTION_UPGRADE		5
#define TAR_ACTION_UPDATE		5
#define TAR_ACTION_RESTORE		6
#define TAR_ACTION_DELETE		7

#define TAR_MODE_HEADER		0
#define TAR_MODE_ALL		1


typedef struct stTarOptions TTarOptions;

struct stTarOptions {
  // Source Option
  char *sourcefile;	// full filename of the source package
  char *targetdir;	// rootdir of the installation
  char *prefixdir;	// prefix to append to rootdir
  int   mode;		// Tar action to be performed (whole,header)
  int   action;		// Tar action to be performed (install,upgrade)
  int   verbose;	// Verbose level
  long long  maxsize;        // 0=DO NO SHOW % else nr. of uncompressed data
};

// Extern
int untar(TTarOptions *lpopt);

#endif
