#ifndef _BADPENGUIN_FS_H
#define _BADPENGUIN_FS_H

// Bad Penguin - File System Utilities
// @1999 by Antonio Gallo

#include <sys/stat.h>
#include <assert.h>
#include <fcntl.h>
#include <stdio.h>

int deltree(char *path);
char *dirbase(char *s1);
char *dirpath(char *s1);
long long diskfree(char *s);
int file_exists( char* s );
int file_time( char *filename, time_t newtime, time_t nowtime );
int is_directory( char *p, char *d );
int is_regularfile( char *p, char *d );
int makedir( char* s, mode_t m );
int move_dir( char* source, char* target);
int move_file( char* source, char* target);
int read_line( FILE* fd, char* buffer );
int runshell (char *command);
int runcommand (char *options[], int fdin, int fdout, int fderr );
char *strtoken( char **s, char *d);

#endif
