#include <sys/vfs.h>
#include "badpenguin-ansi.h"

long long diskfree(char *s) {
  struct statfs fsbuff;
  if ( 0 != statfs( s, &fsbuff) ) {
    printERROR("diskfree: error on statfs about %s\n", s);
    normal_color();
    return -1;
  }    
  return fsbuff.f_bavail * fsbuff.f_bsize;
}
