#include <sys/stat.h>
#include <stdio.h>

int is_directory( char *p, char *d ) {
  char buffer[255];
  struct stat lpstat;
  sprintf(buffer, "%s/%s", p, d);
  lstat(buffer, &lpstat);
  if (1 == S_ISDIR(lpstat.st_mode)) {
    return 0;
  }
  return -1;
}

int is_regularfile( char *p, char *d ) {
  char buffer[255];
  struct stat lpstat;
  sprintf(buffer, "%s/%s", p, d);
  lstat(buffer, &lpstat);
  if (1 == S_ISREG(lpstat.st_mode)) {
    return 0;
  }
  return -1;
}

